Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.3.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.context
Class FullVisitContext

    java.lang.Object
      javax.faces.component.visit.VisitContext
          org.richfaces.context.FullVisitContext

    public class FullVisitContext

extends javax.faces.component.visit.VisitContext

A VisitContext used to visit all children and trees. Use visitHints to filter tune which components are visited.

Author:
  Brian Leathem

Field Summary

Fields inherited from class javax.faces.component.visit.VisitContext
`ALL_IDS`

Constructor Summary
`FullVisitContext(javax.faces.context.FacesContext facesContext, Set<javax.faces.component.visit.VisitHint> visitHints)`

Method Summary
`javax.faces.context.FacesContext` | `getFacesContext()`
`Set<javax.faces.component.visit.VisitHint>` | `getHints()`
`Collection<String>` | `getIdsToVisit()`
`Collection<String>` | `getSubtreeIdsToVisit(javax.faces.component.UIComponent component)`
`javax.faces.component.visit.VisitResult` | `invokeVisitCallback(javax.faces.component.UIComponent component, javax.faces.component.visit.VisitCallback callback)`

Methods inherited from class javax.faces.component.visit.VisitContext
`createVisitContext, createVisitContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FullVisitContext

    public FullVisitContext(javax.faces.context.FacesContext facesContext,
                            Set<javax.faces.component.visit.VisitHint> visitHints)

Method Detail

### getFacesContext

    public javax.faces.context.FacesContext getFacesContext()

  Specified by:
    `getFacesContext` in class `javax.faces.component.visit.VisitContext`

### getIdsToVisit

    public Collection<String> getIdsToVisit()

  Specified by:
    `getIdsToVisit` in class `javax.faces.component.visit.VisitContext`

### getSubtreeIdsToVisit

    public Collection<String> getSubtreeIdsToVisit(javax.faces.component.UIComponent component)

  Specified by:
    `getSubtreeIdsToVisit` in class `javax.faces.component.visit.VisitContext`

### invokeVisitCallback

    public javax.faces.component.visit.VisitResult invokeVisitCallback(javax.faces.component.UIComponent component,
                                                                       javax.faces.component.visit.VisitCallback callback)

  Specified by:
    `invokeVisitCallback` in class `javax.faces.component.visit.VisitContext`

### getHints

    public Set<javax.faces.component.visit.VisitHint> getHints()

  Specified by:
    `getHints` in class `javax.faces.component.visit.VisitContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.3.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.